## upower upower — UPower command line tool |

## Synopsis

`upower` [`--battery`] [`--dump`] [`--enumerate`] [`--monitor-detail`] [`--monitor`] [`--show-info`] [`--version`] [`--help`]

## DESCRIPTION

upower is a simple command line client for the UPower(7) daemon.

## OPTIONS

`-b`, `--battery` | Dump all parameters for battery devices.
`-d`, `--dump` | Dump all parameters for all devices.
`-e`, `--enumerate` | Enumerate the object paths of all devices on the system.
`-m`, `--monitor` | Connect to the UPower daemon and print a line every time a power source is added, removed or changed.
`--monitor-detail` | Like `--monitor` but prints the full details of the power source whenever an event happens.
`-i`, `--show-info` `OBJECT_PATH` | Show information about the given device.
`-v`, `--version` | Print version information for the client and daemon.
`-h`, `--help` | Show help options.

## AUTHOR

Written by David Zeuthen `<davidz@redhat.com>` with a lot of help from many others.

## BUGS

Please send bug reports to either the distribution or the DeviceKit mailing list, see http://lists.freedesktop.org/mailman/listinfo/devkit-devel on how to subscribe.

## SEE ALSO

upowerd(8), UPower(7),